Skip to main content
GET
/
api
/
v1
/
business-info
/
curl -X GET https://api.mindosoftware.com/api/v1/business-info/ \
  -H "X-API-Key: mindo_xxxxxxxxxxxxxxxxxxxxxxxx"
{
  "id": 12,
  "name": "Mi Empresa SRL",
  "email": "contacto@miempresa.com",
  "phone": "+54 9 223 675-0780",
  "website": "https://miempresa.com",
  "address": "Av. Siempre Viva 123, Mar del Plata",
  "description": "Tienda de indumentaria deportiva.",
  "timezone": "America/Argentina/Buenos_Aires",
  "companySize": "SMALL",
  "companySizeDisplay": "11-50 empleados (Pequeña)",
  "companyTypes": ["ECOMMERCE"],
  "categories": ["Indumentaria", "Retail"]
}

Description

This endpoint returns the data of the business (company) associated with your API Key: name, contact details, address, timezone, size, enabled company types, and categories. It is read-only and is automatically scoped to the company of the API Key used.

Authentication header

X-API-Key
string
required
Your Mindo API Key. Format: mindo_xxxxxxxxxxxxxxxxxxxxxxxx

Response

id
integer
Internal company ID.
name
string
Company name.
email
string
Company contact email.
phone
string
Company contact phone.
website
string
Company website.
address
string
Company address.
description
string
Business description.
timezone
string
Company timezone (IANA format, e.g. America/Argentina/Buenos_Aires).
companySize
string
Company size. See company sizes. Can be null.
companySizeDisplay
string
Human-readable label of the company size (e.g. 11-50 empleados (Pequeña)). Can be null.
companyTypes
array
Enabled business types. Possible values: ECOMMERCE, CLINIC.
categories
array
Company categories (names).
curl -X GET https://api.mindosoftware.com/api/v1/business-info/ \
  -H "X-API-Key: mindo_xxxxxxxxxxxxxxxxxxxxxxxx"
{
  "id": 12,
  "name": "Mi Empresa SRL",
  "email": "contacto@miempresa.com",
  "phone": "+54 9 223 675-0780",
  "website": "https://miempresa.com",
  "address": "Av. Siempre Viva 123, Mar del Plata",
  "description": "Tienda de indumentaria deportiva.",
  "timezone": "America/Argentina/Buenos_Aires",
  "companySize": "SMALL",
  "companySizeDisplay": "11-50 empleados (Pequeña)",
  "companyTypes": ["ECOMMERCE"],
  "categories": ["Indumentaria", "Retail"]
}

Company sizes

ValueDescription
MICRO1-10 employees (Micro)
SMALL11-50 employees (Small)
MEDIUM51-250 employees (Medium)
LARGE251-1000 employees (Large)
ENTERPRISE1000+ employees (Enterprise)